HomeGuidesReference↗ Forage Dashboard
Log In
Reference

Retrieve a Payout Report

A GET request to /reporting/payouts/ retrieves a Payout Report. A payout is a scheduled funds disbursement from Forage to a merchant. A payout accounts for all transactions, both purchases and refunds, during the scheduled time period.

On success, the API returns a list of payouts that occurred between the provided start_date and end_date.

Query Params
date
required

The date that the reporting period starts, represented as an ISO 8601 UTC date string, inclusive. The result set includes all reported items that occurred on the date.

date
required

The date that the reporting period ends, represented as an ISO 8601 UTC date string, inclusive. The result set includes all reported items that occurred on the date.

integer
Defaults to 100

The maximum number of objects to include in the results array. Not to exceed 1000. If the limit exceeds 1000, then Forage returns a 400 error response.

Defaults to 100.

string

The starting point for the results, as returned in a previous /reporting/ request. Find a cursor in the URL returned in the next and/or previous response values.

Headers
string
required

An OAuth 2.0 authentication token that validates the request. Send a POST to the /o/token/ endpoint to generate an authentication token. Pass the token in this header after the word Bearer and a whitespace, for example Bearer <api_key>.

string

A unique merchant ID that Forage provides during onboarding, as in 123ab45c67.

If querying on behalf of a platform that supports multiple merchants, then omitting this header returns the platform payouts (payouts issued to the platform directly). You must indicate a Merchant-Account header to retrieve results for a specific merchant on a platform.

string

The Forage version, represented as a string with the format of a YYYY-MM-DD date.

If not specified in the request header, then the version defaults to the value set in the Forage dashboard.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json